#pragma once
#include "afxwin.h"


// CQueueDlg dialog

class CVaxServerSIP;

class CQueueDlg : public CPropertyPage
{
	DECLARE_DYNAMIC(CQueueDlg)

private:

	CVaxServerSIP* m_pVaxTeleSIP;

public:
	CQueueDlg(CVaxServerSIP* pVaxTeleSIP);
	virtual ~CQueueDlg();

// Dialog Data
	enum { IDD = IDD_DIALOG_QUEUE};

protected:
	
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

public:

	afx_msg void OnClose();
	afx_msg void OnButtonQueueAdd();
	afx_msg void OnButtonClearQueueDlg();
	afx_msg void OnButtonQueueRemove();
	afx_msg void OnButtonQueueAgentAdd();
	afx_msg void OnButtonQueueAgentRemove();
	afx_msg void OnButtonClearQueueAgentDlg();

private:

	CComboBox m_ctrlComboQueue;
	CComboBox m_ctrlComboProcessMode;
	CComboBox m_ctrlComboProcessType;
	CComboBox m_ctrlComboAgents;
	CListBox m_ctrlListQueueAgent;

	CString m_sQueueAgentName;
	CString m_sProcessMode;
	CString m_sQueueName;
	
public:

	virtual BOOL OnSetActive();

private:
	
	void AddProcessMode();
	void AddProcessType();

	void AddQueues();
	void AddUsers();

	int GetProcessMode();
	int GetProcessType();

	BOOL AddQueueChecks();
	void ShowQueueDetails();

	void ClearDlgContent();
	void ClearAgentDlgContent();
	
public:

	afx_msg void OnCbnSelchangeComboQueue();
	
	CString m_sQueueMusicFile;
	CString m_sQueueDialToneFile;
	CString m_sProcessType;
};
