﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CSharpSipServer
{
    public class cCallStatus
    {
        StringBuilder sStatusBuilder = new StringBuilder();

        public string GenOpenCallStatus(long lConnectId)
	    {
            sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Opened with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public string GenSuccessToCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Success To Connect with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public string GenFailToCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Fail To Connect with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public string GenLostCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Lost with CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public string GenCloseCallStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Closed With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public string GenOffHoldStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call put OffHold With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	
	    public string GenOnHoldStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call put OnHold With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }

	    public string GenTransferBlindStatus(long lConnectId)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Blind Transfer With CallID: {0}", lConnectId);
		    return sStatusBuilder.ToString();
	    }
	    public string GenTransferConsultStatus(long lConnectIdFrom, long lConnectIdTo)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("Call Consult Transfer From CallID: {0} To CallID: {1}", lConnectIdFrom, lConnectIdTo);
		    return sStatusBuilder.ToString();
	    }
    };

    class cUserStatus
    {
        StringBuilder sStatusBuilder = new StringBuilder();

	    public string GenTryingToReg(string sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Trying To Register.", sUserName);
		    return sStatusBuilder.ToString();
	    }

	    public string GenSuccessToReg(string sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Succes To Register.", sUserName);
		    return sStatusBuilder.ToString();	
	    }

	    public string GenFailToReg(string sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Fail To Register.", sUserName);
		    return sStatusBuilder.ToString();	
	    }

	    public string GenSuccessToUnReg(string sUserName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("USER {0} Succes To UnRegister.", sUserName);
		    return sStatusBuilder.ToString();	
	    }
    };

    class cLineStatus
    {
        StringBuilder sStatusBuilder = new StringBuilder();

	    public string GenTryingToRegStatus(string sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
            sStatusBuilder.AppendFormat("LINE \'{0}\' Trying To Register.", sLineName);
            return sStatusBuilder.ToString();
	    }
	    public string GenSuccessToRegStatus(string sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Register Success.", sLineName);
		    return sStatusBuilder.ToString();
	    }
	    public string GenFailToRegStatus(string sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Fail To Register.", sLineName);
		    return sStatusBuilder.ToString();
	    }

	    public string GenTryingToUnRegStatus(string sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Trying To UnRegister.", sLineName);
		    return sStatusBuilder.ToString();
	    }
	    public string GenSuccessToUnRegStatus(string sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Success To UnRegister.", sLineName);
		    return sStatusBuilder.ToString();
	    }
	    public string GenFailToUnRegStatus(string sLineName)
	    {
		    sStatusBuilder.Remove(0, sStatusBuilder.Length);
		    sStatusBuilder.AppendFormat("LINE \'{0}\' Fail To UnRegister.", sLineName);
		    return sStatusBuilder.ToString();
	    }

    }
}
