unit ErrorLogDlg;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ComCtrls;

type
  TErrorLogForm = class(TForm)

    ListErrors: TListBox;
    btnClear: TButton;

    procedure btnClearClick(Sender: TObject);

  public

    procedure OnErrorLog(sError : string);

  end;

var
  ErrorLogForm: TErrorLogForm;

implementation

{$R *.dfm}

procedure TErrorLogForm.OnErrorLog(sError : string);
var
nTotalCount : Integer;
tabErrorLogSheet : TTabSheet;
begin

  ListErrors.Items.Add(sError);
  nTotalCount := ListErrors.Items.Count;

  tabErrorLogSheet := TTabSheet(Self.Parent);
  tabErrorLogSheet.Caption := 'Error Log (' + IntToStr(nTotalCount) + ')';

end;

procedure TErrorLogForm.btnClearClick(Sender: TObject);
var
tabErrorLogSheet : TTabSheet;
begin
  ListErrors.Clear();

  tabErrorLogSheet := TTabSheet(Self.Parent);
  tabErrorLogSheet.Caption := 'Error Log';
end;

end.
