﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServerSIP
{
    class cQueueAgentDetails
    {
        public string m_sUserName;

        public cQueueAgentDetails(string sUserName)
        {
            m_sUserName = sUserName;
        }
        ~cQueueAgentDetails() { }
    }
        
    ///////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////////////////////
    
    class cQueueAgentList
    {
        Dictionary<string, cQueueAgentDetails> m_objQueueAgentDetailobjList = new Dictionary<string, cQueueAgentDetails>();
        
        public bool AddAgent(string sUserName)
        {
            cQueueAgentDetails objDetails = null;
            m_objQueueAgentDetailobjList.TryGetValue(sUserName, out objDetails);

            if(objDetails == null)
            {
               objDetails = new cQueueAgentDetails(sUserName);
               m_objQueueAgentDetailobjList.Add(sUserName, objDetails);
            }

            objDetails.m_sUserName = sUserName;
            return true;
        }

        public void RemoveAll()
        {
            m_objQueueAgentDetailobjList.Clear();
        }

        public void RemoveAgent(string sUserName)
        {
            cQueueAgentDetails objDetails = null;
            
            m_objQueueAgentDetailobjList.TryGetValue(sUserName, out objDetails);
            if(objDetails == null) return;

            m_objQueueAgentDetailobjList.Remove(sUserName);
        }

        public bool IsAgentExist(string sUserName)
        {
            cQueueAgentDetails objDetails = null;

            m_objQueueAgentDetailobjList.TryGetValue(sUserName, out objDetails);
            if(objDetails == null) return false;

            return true;
        }

        public String GetQueueAgentAt(int nIndex)
        {
            if(nIndex >= m_objQueueAgentDetailobjList.Count())
                return "";

            KeyValuePair<string, cQueueAgentDetails> objDetails = m_objQueueAgentDetailobjList.ElementAt(nIndex);
            return objDetails.Value.m_sUserName;
        }

        public int GetQueueAgentCount()
        {
            return m_objQueueAgentDetailobjList.Count();
        }
    }
}
